@use "mixins";

.sr-only {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

body {
  background-color: var(--color-black);
  color: var(--color-white);
  padding: 2.5vw 5vw;

  @include mixins.respond-to-size(small) {
    padding: 5vw 3.2vw;
  }
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15.65vh;

  @include mixins.respond-to-size(small) {
    margin-bottom: 3.8rem;
  }
}

.logo {
  display: inline-block;
  font-family: var(--font-logo);
  font-size: 1.4rem;
  font-weight: 200;
  line-height: 1.11;
  text-transform: uppercase;
  padding: 0.8rem;
  border: 0.1rem solid var(--color-white);
  order: 1;
}

.nav-toggle {
  --line-width: 3rem;
  --line-height: 0.3rem;
  --line-spacing: 0.6rem;
  --line-color: var(--color-white);

  z-index: 3;
  order: 3;
  cursor: pointer;
  width: 3rem;
  height: 2.1rem;
  position: relative;

  &__inner-line,
  &::before,
  &::after {
    content: "";
    position: absolute;
    display: block;
    background-color: var(--line-color);
    width: var(--line-width);
    height: var(--line-height);
    border-radius: 0.4rem;
    transition: transform 200ms linear;
  }

  &::before {
    top: 0;
  }

  &__inner-line {
    top: calc(var(--line-height) + var(--line-spacing));
    transition: transform 200ms ease-in-out, opacity 200ms ease-in-out;
  }

  &::after {
    top: calc((var(--line-height) + var(--line-spacing)) * 2);
  }

  &--active &__inner-line {
    transform: translateX(calc(var(--line-width) * -1.05));
    opacity: 0;
  }

  &--active {
    &::before {
      transform: rotate(135deg);
      top: calc(var(--line-height) + var(--line-spacing));
    }

    &::after {
      transform: rotate(-135deg);
      top: calc(var(--line-height) + var(--line-spacing));
    }
  }
}

.nav {
  order: 2;

  @include mixins.respond-to-size(small) {
    z-index: 2;
    background-color: var(--color-black);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  &__list {
    display: flex;
    gap: 6vw;

    @include mixins.respond-to-size(small) {
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 8.5vw;
      width: 100%;
      height: 100%;
    }
  }

  &__link {
    font-family: var(--font-body);
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.22;
    padding-bottom: 0.8rem;
    transition: opacity 0.25s, border-bottom 0.25s;

    &,
    &:link,
    &:visited {
      text-decoration: none;
    }

    &:hover,
    &:active,
    &:focus {
      opacity: 0.7;
    }

    &--current {
      font-weight: 700;
      border-bottom: 0.2rem solid var(--color-white);

      &:hover,
      &:active,
      &:focus {
        border-bottom: 0.2rem solid rgba(var(--color-white-rgb) / 70%);
      }
    }
  }
}

.main {
  margin: 0 auto;
  display: grid;
  grid-template-columns: 28.5vw 51.2vw;
  grid-template-rows: 46.25vw;
  align-items: start;
  justify-content: space-between;

  @include mixins.respond-to-size(small) {
    grid-template-columns: 93.6vw;
    grid-template-rows: auto 93.6vw;
    row-gap: 3.7rem;
  }
}

.intro {
  padding-top: 9.45vw;

  @include mixins.respond-to-size(small) {
    padding-top: 0;
  }

  &__title {
    font-family: var(--font-display);
    font-size: 4.8rem;
    font-weight: 500;
    line-height: 1.28;
    margin-bottom: 2.75vw;

    @include mixins.respond-to-size(small) {
      font-size: 3.6rem;
      margin-bottom: 2.5rem;
    }
  }

  &__description {
    font-family: var(--font-body);
    font-size: 2.4rem;
    line-height: 1.22;
    margin-bottom: 3.33vw;

    @include mixins.respond-to-size(small) {
      font-size: 1.4rem;
      margin-bottom: 2.5rem;
      width: calc(100% * 2 / 3);
    }
  }
}

.btn-text {
  cursor: pointer;
  font-family: var(--font-body);
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.22;
  display: flex;
  align-items: center;
  gap: 1.4rem;
  border-bottom: 0.2rem solid transparent;
  transition: border-bottom-color 150ms ease;

  @include mixins.respond-to-size(small) {
    font-size: 1.4rem;
    gap: 1.5rem;
  }

  &::after {
    content: "";
    display: inline-block;
    background-image: url("assets/img/arrow.svg");
    background-size: contain;
    margin-top: 0.1rem;
    width: 2.4rem;
    height: 2.4rem;
  }

  &:hover {
    border-bottom: 0.2rem solid currentcolor;
  }
}

.showcase {
  position: relative;
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
  height: 100%;

  &__content {
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: 40% 1fr 4.3%;
    grid-template-rows: 71.6% 1fr 16.7%;

    @include mixins.respond-to-size(small) {
      grid-template-columns: 11.4% 1fr 3.1%;
      grid-template-rows: 60.7% 1fr 24.75%;
    }
  }

  &__photo {
    grid-column: 1 / -1;
    grid-row: 1 / span 2;
    width: 100%;
    height: auto;
  }

  &__designed-by {
    grid-column: 2 / span 1;
    grid-row: 2 / -1;
    background-color: var(--color-black);
  }
}

.designed-by {
  display: flex;
  flex-direction: column-reverse;
  justify-content: space-between;
  gap: 1.7vw;
  padding: 1.25vw 6.7vw 2.35vw 1.7vw;
  box-shadow: 0 0.4rem 0.4rem rgba(0 0 0 / 25%);

  @include mixins.respond-to-size(small) {
    padding: 3.7vw 20vw 7.1vw 5.7vw;
    gap: 4.8vw;
  }

  &__title {
    font-family: var(--font-display);
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.28;

    @include mixins.respond-to-size(small) {
      font-size: 1.8rem;
    }
  }

  &__details {
    font-family: var(--font-body);
    font-weight: 500;
    display: grid;
    grid-template:
      "photo name" 1.5vw
      "photo position" 1.5vw
      / 3.5vw max-content;
    column-gap: 1.3vw;
    row-gap: 0.5vw;

    @include mixins.respond-to-size(small) {
      grid-template:
        "photo name" 4vw
        "photo position" 4vw
        / 9.6vw max-content;
      column-gap: 3.7vw;
      row-gap: 1.6vw;
    }
  }

  &__photo {
    border-radius: 50%;
    grid-area: photo;
  }

  &__name {
    font-size: 1.4rem;
    line-height: 1.21;
    grid-area: name;
    align-self: end;

    @include mixins.respond-to-size(small) {
      font-size: 1.2rem;
    }
  }

  &__position {
    font-size: 1.2rem;
    line-height: 1.25;
    color: var(--color-gray);
    grid-area: position;
    align-self: start;

    @include mixins.respond-to-size(small) {
      font-size: 1rem;
    }
  }
}
